body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top:50%;
    left: 50%;
    transform: translate(-50%,-50%);
    padding: 10px 20px;
    font-family: sans-serif;
    text-transform: uppercase;
    text-decoration: none;
    color: #262626;
    font-size: 24px;
    letter-spacing: 2px;
    transition: 1s; 
    border: 2px solid #262626;
}
a:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #262626;
    z-index: -1;
    transition: 1s;
    transform: rotateY(90deg);
}
a:after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #262626;
    z-index: -1;
    transition: 1s;
    transform: rotateX(90deg);
}
a:hover:before{
    transform: rotateY(0deg);
}
a:hover:after{
    transform: rotateX(0deg);
}
a:hover{
    color:#fff;
}